
public class SnakeEyes  // on page 203 of your text
{
	public class Die
	{
   		private final int MIN_FACES = 4;
   		private int numFaces;   // number of sides on the die
   		private int faceValue;  // current value showing on the die

   		public Die ()
   		{
      		numFaces = 6;
      		faceValue = 1;
   		}

   		public Die (int faces)
   		{
      		if (faces < MIN_FACES)
         		numFaces = 6;
      		else
         		numFaces = faces;
      		faceValue = 1;
   		}

   		public int roll ()
   		{
      		faceValue = (int) (Math.random() * numFaces) + 1;
      		return faceValue;
   		}

   		public int getFaceValue ()
   		{
      		return faceValue;
   		}
	}

 
 
   public static void main (String[] args)
   {
      final int ROLLS = 500;
      int snakeEyes = 0, num1, num2;

      Die die1 = new Die();    // creates a six-sided die
      Die die2 = new Die(20);  // creates a twenty-sided die

      for (int roll = 1; roll <= ROLLS; roll++)
      {
         num1 = die1.roll();
         num2 = die2.roll();

         if (num1 == 1 && num2 == 1)  // check for snake eyes
            snakeEyes++;
      }

      System.out.println ("Number of rolls: " + ROLLS);
      System.out.println ("Number of snake eyes: " + snakeEyes);
      System.out.println ("Ratio: " + (float)snakeEyes/ROLLS);
   }
}
